package com.tofly.analyse.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.analyse.entity.PipeCountDto;
import com.tofly.analyse.entity.SpaceCountDto;
import com.tofly.analyse.entity.SubtypeCountDto;
import com.tofly.common.core.entity.ResultRespone;

import java.util.List;
import java.util.Map;

public interface SpaceCountService {
	
    public ResultRespone getSpaceCount(SpaceCountDto spaceCountDto);


    public Page<Map> getPipeCountData(Page page, PipeCountDto dto);

    public List<Map> getSubtypeCount( SubtypeCountDto dto);

}